using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Sunisoft.IrisSkin;

namespace HRManagerSystem
{
    public partial class MainWinForm : Form
    {
        public MainWinForm()
        {
            InitializeComponent();
        }
        #region 功能按钮

        private void button1_Click(object sender, EventArgs e)
        {
            panel2.Show();
            panel2.Dock = DockStyle.Fill;
            panel3.Hide();
            panel4.Hide();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            panel3.Show();
            panel3.Dock = DockStyle.Fill;
            panel2.Hide();
            panel4.Hide();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            panel4.Show();
            panel4.Dock = DockStyle.Fill;
            panel2.Hide();
            panel3.Hide();
        }

        private void MainWinForm_Load(object sender, EventArgs e)
        {
            label1.BackColor = Color.FromArgb(57, 89, 172);
            panel2.Show();
            panel2.Dock = DockStyle.Fill;
            panel3.Hide();
            panel4.Hide();

            se.SkinFile = "MP10.ssk";
        } 
        #endregion

        #region 功能菜单
        private void 退出ToolStripMenuItem_Click(object sender, EventArgs e)
        {           
            Environment.Exit(0);
        }

        private void 帮助ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            HelpDocumentForm hp = new HelpDocumentForm();
            hp.ShowDialog();
        }

        private void 关于ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            AbortForm abort = new AbortForm();
            abort.ShowDialog();
        }
        SkinEngine se = new SkinEngine();
        private void xp风格ToolStripMenuItem1_Click(object sender, EventArgs e)
        {
            se.SkinFile = "DiamondBlue.ssk";
        }

        private void vista风格ToolStripMenuItem1_Click(object sender, EventArgs e)
        {

            se.SkinFile = "MP10.ssk";

        }

        private void 幽兰风格ToolStripMenuItem1_Click(object sender, EventArgs e)
        {

            se.SkinFile = "Wave.ssk";
         }  

        private void xp风格ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            se.SkinFile = "DiamondBlue.ssk";
        }

        private void vista风格ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            se.SkinFile = "MP10.ssk";
        }

        private void 幽兰风格ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            se.SkinFile = "Wave.ssk";
        }

        private void contextMenuStrip1_DoubleClick(object sender, EventArgs e)
        {
            this.WindowState = FormWindowState.Normal;
        }

        private void contextMenuStrip1_Click(object sender, EventArgs e)
        {
            this.WindowState = FormWindowState.Normal;
        }
        /// <summary>
        /// 关闭事件提醒
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void MainWinForm_FormClosing(object sender, FormClosingEventArgs e)
        {
            WarnForm wf = new WarnForm();
            wf.ShowDialog();
        }

        private void 帮助ToolStripMenuItem1_Click(object sender, EventArgs e)
        {
            HelpDocumentForm hp = new HelpDocumentForm();
            hp.ShowDialog();
        }
        /// <summary>
        /// 员工档案管理
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void 员工信息ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            StaffForm sf = new StaffForm();
            sf.ShowDialog();
        }

        private void 员工培训管理ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            StaffTrainForm st = new StaffTrainForm();
            st.ShowDialog();
        }

        private void 员工奖惩管理ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            StaffPriseForm sp = new StaffPriseForm();
            sp.ShowDialog();
        }

        private void 人员调动管理ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            StaffRemoveForm sr = new StaffRemoveForm();
            sr.ShowDialog();
        }

        private void 劳保福利发放ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            FuLiForm fuli = new FuLiForm();
            fuli.ShowDialog();
        }

        private void 人员考评管理ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            StaffKPForm kp = new StaffKPForm();
            kp.ShowDialog();
        }

        private void 人员信息统计ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            MessageBox.Show("此模块功能暂未启用！", "提示", MessageBoxButtons.OK, MessageBoxIcon.Information);
        }

        private void 部门信息ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            DepartForm de = new DepartForm();
            de.ShowDialog();
        }

        private void 添加部门ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            AddDepartForm add = new AddDepartForm();
            add.ShowDialog();
        }

        private void 添加用户ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            UserManagerForm umf = new UserManagerForm();
            umf.ShowDialog();
        }

        private void 修改用户ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            UpdatepwdForm upw = new UpdatepwdForm();
            upw.ShowDialog();
        } 
        #endregion
        #region 模块链接
        /// <summary>
        /// 【部门信息】
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void linkLabel9_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            DepartForm de = new DepartForm();
            de.ShowDialog();
        }
        /// <summary>
        /// 【添加部门】
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void linkLabel10_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            AddDepartForm add = new AddDepartForm();
            add.ShowDialog();
        }
        /// <summary>
        /// 【修改密码】
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void linkLabel12_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            UpdatepwdForm upw = new UpdatepwdForm();
            upw.ShowDialog();
        }
        /// <summary>
        /// 【用户操作】
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void linkLabel11_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            UserManagerForm umf = new UserManagerForm();
            umf.ShowDialog();
        }
        /// <summary>
        /// 【用户档案管理】
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void linkLabel1_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            StaffForm sf = new StaffForm();
            sf.ShowDialog();
        }
        /// <summary>
        /// 【奖惩管理】
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void linkLabel2_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            StaffPriseForm sp = new StaffPriseForm();
            sp.ShowDialog();
        }
        /// <summary>
        /// 【考评管理】
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void linkLabel3_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            StaffKPForm kp = new StaffKPForm();
            kp.ShowDialog();
        }
        /// <summary>
        /// 【培训管理】
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void linkLabel4_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {

            StaffTrainForm st = new StaffTrainForm();
            st.ShowDialog();
        }
        /// <summary>
        /// 【福利管理】
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void linkLabel8_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            FuLiForm fui = new FuLiForm();
            fui.ShowDialog();
        }
        /// <summary>
        /// 【人员调动管理】
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void linkLabel6_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            StaffRemoveForm srf = new StaffRemoveForm();
            srf.ShowDialog();
        }
        
        #endregion

        #region 模块链接二
        /// <summary>
        /// 人员信息管理
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button11_Click(object sender, EventArgs e)
        {
            StaffForm af = new StaffForm();
            af.ShowDialog();
        }
        /// <summary>
        /// 员工奖赏管理
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button13_Click(object sender, EventArgs e)
        {
            StaffPriseForm apf = new StaffPriseForm();
            apf.ShowDialog();
        }
        /// <summary>
        /// 员工考评管理
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button6_Click(object sender, EventArgs e)
        {
            StaffKPForm akp = new StaffKPForm();
            akp.ShowDialog();
        }
        /// <summary>
        /// 员工培训管理
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button7_Click(object sender, EventArgs e)
        {
            StaffTrainForm atf = new StaffTrainForm();
            atf.ShowDialog();
        }
        /// <summary>
        /// 员工福利管理
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button8_Click(object sender, EventArgs e)
        {
            FuLiForm fuli = new FuLiForm();
            fuli.ShowDialog();
        }
        /// <summary>
        /// 人员调动管理
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button9_Click(object sender, EventArgs e)
        {
            StaffRemoveForm arf = new StaffRemoveForm();
            arf.ShowDialog();
        }
        /// <summary>
        /// 人员信息统计
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button10_Click(object sender, EventArgs e)
        {
            MessageBox.Show("此模块暂未启用！");
        }
        /// <summary>
        /// 部门管理
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button4_Click(object sender, EventArgs e)
        {
            DepartForm df = new DepartForm();
            df.ShowDialog();
        }
        /// <summary>
        /// 添加部门
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button5_Click(object sender, EventArgs e)
        {
            AddDepartForm sd = new AddDepartForm();
            sd.ShowDialog();
        }
        /// <summary>
        /// 修改密码
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button12_Click(object sender, EventArgs e)
        {
            UpdatepwdForm up = new UpdatepwdForm();
            up.ShowDialog();
        }
        /// <summary>
        /// 用户管理
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button14_Click(object sender, EventArgs e)
        {
            UserManagerForm umf = new UserManagerForm();
            umf.ShowDialog();
        }

        #endregion



    }
}
